CycloDS Evolution BETA Firmware vB.1

Discussion in 'CycloDS' started by Gariscus, Apr 30, 2010.

Apr 30, 2010
  1. Gariscus
    OP

    Member Gariscus Former Team Cyclops Mod

    Joined:
    Jun 5, 2009
    Messages:
    646
    Country:
    Australia
    CycloDS Evolution BETA firmware vB.1 has been released for testing. Unfortunately due to time constraints we have been unable to introduce any changes or fixes to the GUI as yet; this release is simply intended to take care of some game compatibility issues. Changes include:
    • Updated the automatic protection patcher
    • Game compatibility fixes (DSi 0047, 4831, 4851)
    For details on the new BETA firmware line, please see the original thread here.

    Download the BETA HERE

    Looks like Again has been fixed. [​IMG]
     
  2. InuYasha

    Member InuYasha Professional Coke Fiend

    Joined:
    Dec 8, 2007
    Messages:
    1,778
    Country:
    United States
    Yes we know look down a few topics..... "new gui"....
     
  3. Chrono_Tata

    Member Chrono_Tata GBAtemp Advanced Fan

    Joined:
    Jan 26, 2008
    Messages:
    851
    Country:
    Thailand
    This is a topic about B.1, not B.0. -___-
     
  4. DeMoN

    Member DeMoN GBAtemp Guru

    Joined:
    May 12, 2004
    Messages:
    7,647
    Country:
    United States
  5. impizkit

    Member impizkit Lazy Lurker

    Joined:
    Apr 6, 2010
    Messages:
    943
    Country:
    Australia
    This Beta only has game fixes. Still worth noting though.
     
  6. silly_z45

    Newcomer silly_z45 Advanced Member

    Joined:
    Mar 13, 2008
    Messages:
    80
    Country:
    Australia
    is the website down?

    i just tried to get on and its a no go.
     
  7. fabiobad

    Newcomer fabiobad Advanced Member

    Joined:
    Mar 1, 2010
    Messages:
    59
    Country:
    Italy
    Hi, what can i do for play Wario Ware D.I.Y (PAL version) on my CycloDS Evolution ?
    I have the firmware v1.58
    Tks ^^
     
  8. Pliskron

    Banned Pliskron Banned

    Joined:
    Jul 22, 2009
    Messages:
    1,276
    Country:
    United States
    I think you'll need to update.
     
  9. ProtoKun7

    Global Moderator ProtoKun7 GBAtemp Time Lord Regenerations: 3

    Joined:
    Jan 3, 2009
    Messages:
    7,481
    Location:
    Gallifrey
    Country:
    United Kingdom
    According to the CycloDS compatibility site, DIY should work with 1.58. If it doesn't, try 1.59B1, or if you're willing to use the new GUI, then B.0 or B.1.
     
  10. Gariscus
    OP

    Member Gariscus Former Team Cyclops Mod

    Joined:
    Jun 5, 2009
    Messages:
    646
    Country:
    Australia
    Apparently the European version has problems - which is probably what fabiobad meant by PAL.
     
  11. fabiobad

    Newcomer fabiobad Advanced Member

    Joined:
    Mar 1, 2010
    Messages:
    59
    Country:
    Italy
    in fact, the USA version works perfectly, but the PAL don't start... [​IMG]
     
  12. Gariscus
    OP

    Member Gariscus Former Team Cyclops Mod

    Joined:
    Jun 5, 2009
    Messages:
    646
    Country:
    Australia
    I don't have the PAL version so I didn't know what the problem was.
     
  13. Rayder

    Former Staff Rayder Mostly lurking lately....

    Joined:
    Jan 14, 2007
    Messages:
    6,613
    Location:
    USA
    Country:
    United States
    With D.I.Y, you may just have to wait a bit for the game to create its huge save file. That first boot takes awhile.
     
  14. florian

    Member florian GBAtemp Advanced Fan

    Joined:
    Feb 6, 2008
    Messages:
    579
    Country:
    France
    demntium 2 no work ? no update ?
     
  15. ProtoKun7

    Global Moderator ProtoKun7 GBAtemp Time Lord Regenerations: 3

    Joined:
    Jan 3, 2009
    Messages:
    7,481
    Location:
    Gallifrey
    Country:
    United Kingdom
    It was only released three days ago, and only dumped today. >_> Wait.
     

Share This Page